From 5df0633e56c40e913591f474de3c17662c554d22 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 27 May 2019 23:44:05 +0200
Subject: [PATCH 306/308] fractal: rebuild for libressl-2.9.2.

---
 srcpkgs/fractal/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/fractal/template b/srcpkgs/fractal/template
index 67ac3c03626..6c1dd556940 100644
--- a/srcpkgs/fractal/template
+++ b/srcpkgs/fractal/template
@@ -1,7 +1,7 @@
 # Template file for 'fractal'
 pkgname=fractal
 version=4.0.0
-revision=2
+revision=3
 build_style=meson
 build_helper="rust"
 hostmakedepends="cargo pkg-config glib-devel"
@@ -20,10 +20,14 @@ case "$XBPS_TARGET_MACHINE" in
 	armv6l-musl) broken="error: Could not compile gtk." ;;
 esac
 
-if [ "$CROSS_BUILD" ]; then
-	pre_build() {
+pre_build() {
+	cargo update --package autocfg --precise 0.1.4
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+
+	if [ "$CROSS_BUILD" ]; then
 		vsed -i scripts/cargo.sh \
 			-e 's/target\//&${RUST_TARGET}\//' \
 			-e '/CARGO_HOME/d'
-	}
-fi
+	fi
+}

